The Author Online Book Forums are Moving

The Author Online Book Forums will soon redirect to Manning's liveBook and liveVideo. All book forum content will migrate to liveBook's discussion forum and all video forum content will migrate to liveVideo. Log in to liveBook or liveVideo with your Manning credentials to join the discussion!

Thank you for your engagement in the AoF over the years! We look forward to offering you a more enhanced forum experience.

mike628 (3) [Avatar] Offline
#1
Hello Frank,
Should Chapter 1 Project actually run in emulator? I loads fine but when I search I get the error.
Thanks
Mike
e.pfeiffer2010 (3) [Avatar] Offline
#2
Re: Chapter 1 question
Was this problem resolved?
I went ahead and loaded up Chap-1's "Hello,World" example into Eclipse and then ran it in AVD emulator (v2.2) and didn't have any problems...

1. I copied the "CH1_WhereDoYouLive" folder out of the ch01.zip file into a separate folder.
2. eclipse => file => new => project => android project => next
3. select "create project from existing source" then for location browse and select
the folder "CH1_WhereDoYouLive" created above.
Doing this sets all the properties at the bottom.
4. now go back and select "create new project in workspace", and select build target of android 2.2.
5. next => finish.
6. make sure the right project is selected in eclipse's project explorer.
7. eclipse => run => run configurations => under the android tab check the project it's set to, and under the target tab make sure you have your AVD 2.2 emulator selected.
8. now "run" at the bottom.
e.pfeiffer2010 (3) [Avatar] Offline
#3
Re: Chapter 1 question
My mistake.
The problem may be with the Google Maps Activity starting on pg.26 in Chapter-1.

The example code at both locations is missing all the google maps part of this, but if the missing code is keyed in, and the layout file has the missing buttons, edittext and views added, and if the manifest file has "android.permission.INTERNET" permission added, and lastly...
it needs to run in a emulator with a target set for "GoogleAPI" not android v2.2 or v2.3.

Did the above and it worked for me.

(if anybody wants it, I can paste all the missing stuff here)